## org.apache.myfaces.util
Class MessageUtils

    java.lang.Object
      org.apache.myfaces.util.MessageUtils

public class MessageUtils
extends java.lang.Object

Version:
  $Revision: 233400 $ $Date: 2005-08-18 20:41:45 -0400 (Thu, 18 Aug 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: svieujot $), Manfred Geiler, Sean Schofield

Constructor Summary
`MessageUtils()`

Method Summary
`static void` `addMessage(javax.faces.application.FacesMessage.Severity severity, java.lang.String messageId, java.lang.Object[] args)`
`static void` `addMessage(javax.faces.application.FacesMessage.Severity severity, java.lang.String messageId, java.lang.Object[] args, javax.faces.context.FacesContext facesContext)`
`static void` `addMessage(javax.faces.application.FacesMessage.Severity severity, java.lang.String messageId, java.lang.Object[] args, java.lang.String forClientId)`
`static void` `addMessage(javax.faces.application.FacesMessage.Severity severity, java.lang.String messageId, java.lang.Object[] args, java.lang.String forClientId, javax.faces.context.FacesContext facesContext)`
`static javax.faces.application.FacesMessage` `getMessage(javax.faces.context.FacesContext context, java.lang.String messageId)`
`static javax.faces.application.FacesMessage` `getMessage(javax.faces.context.FacesContext context, java.lang.String messageId, java.lang.Object[] params)`
`static javax.faces.application.FacesMessage` `getMessage(javax.faces.application.FacesMessage.Severity severity, java.lang.String messageId, java.lang.Object arg1)`
`static javax.faces.application.FacesMessage` `getMessage(javax.faces.application.FacesMessage.Severity severity, java.lang.String messageId, java.lang.Object[] args)`
`static javax.faces.application.FacesMessage` `getMessage(javax.faces.application.FacesMessage.Severity severity, java.lang.String messageId, java.lang.Object[] args, javax.faces.context.FacesContext facesContext)`
`static javax.faces.application.FacesMessage` `getMessage(java.util.Locale locale, java.lang.String messageId, java.lang.Object[] params)`
`static javax.faces.application.FacesMessage` `getMessage(java.lang.String messageId, java.lang.Object[] params)`
`static java.lang.String` `substituteParams(java.util.Locale locale, java.lang.String msgtext, java.lang.Object[] params)` Uses `MessageFormat` and the supplied parameters to fill in the param placeholders in the String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageUtils

    public MessageUtils()

Method Detail

### getMessage

    public static javax.faces.application.FacesMessage getMessage(javax.faces.application.FacesMessage.Severity severity,
                                                                  java.lang.String messageId,
                                                                  java.lang.Object arg1)

### getMessage

    public static javax.faces.application.FacesMessage getMessage(javax.faces.application.FacesMessage.Severity severity,
                                                                  java.lang.String messageId,
                                                                  java.lang.Object[] args)

### getMessage

    public static javax.faces.application.FacesMessage getMessage(javax.faces.application.FacesMessage.Severity severity,
                                                                  java.lang.String messageId,
                                                                  java.lang.Object[] args,
                                                                  javax.faces.context.FacesContext facesContext)

### addMessage

    public static void addMessage(javax.faces.application.FacesMessage.Severity severity,
                                  java.lang.String messageId,
                                  java.lang.Object[] args)

### addMessage

    public static void addMessage(javax.faces.application.FacesMessage.Severity severity,
                                  java.lang.String messageId,
                                  java.lang.Object[] args,
                                  javax.faces.context.FacesContext facesContext)

### addMessage

    public static void addMessage(javax.faces.application.FacesMessage.Severity severity,
                                  java.lang.String messageId,
                                  java.lang.Object[] args,
                                  java.lang.String forClientId)

### addMessage

    public static void addMessage(javax.faces.application.FacesMessage.Severity severity,
                                  java.lang.String messageId,
                                  java.lang.Object[] args,
                                  java.lang.String forClientId,
                                  javax.faces.context.FacesContext facesContext)

### substituteParams

    public static java.lang.String substituteParams(java.util.Locale locale,
                                                    java.lang.String msgtext,
                                                    java.lang.Object[] params)

  Uses `MessageFormat` and the supplied parameters to fill in the param placeholders in the String.

  Parameters:
    `locale` - The `Locale` to use when performing the substitution.
    `msgtext` - The original parameterized String.
    `params` - The params to fill in the String with.
  Returns:
    The updated String.

### getMessage

    public static javax.faces.application.FacesMessage getMessage(java.lang.String messageId,
                                                                  java.lang.Object[] params)

### getMessage

    public static javax.faces.application.FacesMessage getMessage(java.util.Locale locale,
                                                                  java.lang.String messageId,
                                                                  java.lang.Object[] params)

### getMessage

    public static javax.faces.application.FacesMessage getMessage(javax.faces.context.FacesContext context,
                                                                  java.lang.String messageId)

### getMessage

    public static javax.faces.application.FacesMessage getMessage(javax.faces.context.FacesContext context,
                                                                  java.lang.String messageId,
                                                                  java.lang.Object[] params)